List Accounts

This API requires the Administrator role.

Lists the accounts based on the filter criteria provided.

Filtering is supported on the following fields:

  • name
  • accountId
  • domainName
  • profileName
  • profileId
  • isDefault
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int32
≥ 1
Defaults to 1

The page number of the records to retrieve. Default value is 1

int32
5 to 50
Defaults to 5

The max number of records to retrieve per page. Default value is 5,max value is 50.

string
length ≤ 255

Specifies details of a row filter.

The possible fields you can filter are

  • name
  • accountId

The allowed format:

  • Begins with the column name to be filtered, followed by a colon, (This will be used as Contains operator.) then:
    • Either an exact string to match, or
    • A string expression including the * wildcard character.
      • :{PREFIX}* will be used to find out word start with.
      • :*{POSTFIX} will be used to find out word end with
      • : will be used to match exact word
  • Begin with colmun name to be filtered, followed by a = operator. (this will be used to match exact string)
string
length ≤ 255

Field name on which sorting needs to be performed.

The possible fields you ordered on

  • name
  • accountId

Field Names are case-sensitive (should be written as it is in description).

The default sorting order is name ascending.

To specify descending order, a suffix " desc" should be added. For example, "name" for ascending or "name desc" for descending".

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json
application/problem+json